import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _SFSafariPageProperties extends _NSObject {
    static alloc(): _SFSafariPageProperties;
    static new(): _SFSafariPageProperties;
    init(): _SFSafariPageProperties;
    url(): _NSURL | null;
    title(): _NSString | null;
    usesPrivateBrowsing(): boolean;
    active(): boolean;
}
